mqv.h File Reference

Classes for Menezes–Qu–Vanstone (MQV) key agreement. More...

Go to the source code of this file.

## Classes

class | MQV_Domain< GROUP_PARAMETERS, COFACTOR_OPTION >
| MQV domain for performing authenticated key agreement. More...

## Typedefs

typedef MQV_Domain< DL_GroupParameters_GFP_DefaultSafePrime > | MQV
| Menezes-Qu-Vanstone in GF(p) with key validation, AKA MQV More...

## Detailed Description

Classes for Menezes–Qu–Vanstone (MQV) key agreement.

Since
  Crypto++ 3.0

Definition in file mqv.h.

## Typedef Documentation

## MQV

typedef MQV_Domain<DL_GroupParameters_GFP_DefaultSafePrime> MQV

Menezes-Qu-Vanstone in GF(p) with key validation, AKA MQV

See also
  MQV, HMQV_Domain, FHMQV_Domain, AuthenticatedKeyAgreementDomain

Since
  Crypto++ 3.0

Definition at line 264 of file mqv.h.